Permalink
Browse files

Tidy up gemspec, remove ruby-debug dependency

  • Loading branch information...
radar committed Dec 26, 2010
1 parent 5d10963 commit e2fc2ff640841cc88e1df09566051c69e23179e1
Showing with 9 additions and 37 deletions.
  1. +2 −0 .bundle/config
  2. +0 −26 Gemfile.lock
  3. +7 −9 dotiw.gemspec
  4. +0 −2 spec/spec_helper.rb
View
@@ -0,0 +1,2 @@
+---
+BUNDLE_DISABLE_SHARED_GEMS: "1"
View
@@ -3,8 +3,6 @@ PATH
specs:
dotiw (0.6.0)
actionpack (~> 3.0.0)
- activerecord (~> 3.0.0)
- chronic (~> 0.3)
GEM
remote: http://rubygems.org/
@@ -24,23 +22,12 @@ GEM
activesupport (= 3.0.3)
builder (~> 2.1.2)
i18n (~> 0.4)
- activerecord (3.0.3)
- activemodel (= 3.0.3)
- activesupport (= 3.0.3)
- arel (~> 2.0.2)
- tzinfo (~> 0.3.23)
activesupport (3.0.3)
- archive-tar-minitar (0.5.2)
- arel (2.0.6)
builder (2.1.2)
- chronic (0.3.0)
- columnize (0.3.2)
diff-lcs (1.1.2)
erubis (2.6.6)
abstract (>= 1.0.0)
i18n (0.5.0)
- linecache19 (0.5.11)
- ruby_core_source (>= 0.1.4)
rack (1.2.1)
rack-mount (0.6.13)
rack (>= 1.0.0)
@@ -54,29 +41,16 @@ GEM
rspec-expectations (2.3.0)
diff-lcs (~> 1.1.2)
rspec-mocks (2.3.0)
- ruby-debug-base19 (0.11.24)
- columnize (>= 0.3.1)
- linecache19 (>= 0.5.11)
- ruby_core_source (>= 0.1.4)
- ruby-debug19 (0.11.6)
- columnize (>= 0.3.1)
- linecache19 (>= 0.5.11)
- ruby-debug-base19 (>= 0.11.19)
- ruby_core_source (0.1.4)
- archive-tar-minitar (>= 0.5.2)
tzinfo (0.3.23)
PLATFORMS
ruby
DEPENDENCIES
actionpack (~> 3.0.0)
- activerecord (~> 3.0.0)
bundler (~> 1.0.0)
- chronic (~> 0.3)
dotiw!
rspec (~> 2.0)
- ruby-debug19 (~> 0.0)
METADATA
version: 1.0.6
View
@@ -11,16 +11,14 @@ Gem::Specification.new do |s|
s.required_rubygems_version = '>= 1.3.6'
s.authors = ["Ryan Bigg"]
s.date = %q{2010-12-23}
- s.description = %q{Better distance_of_time_in_words for Rails}
- s.email = %q{radarlistener@gmail.com}
+ s.description = "Better distance_of_time_in_words for Rails"
+ s.summary = "Better distance_of_time_in_words for Rails"
+ s.email = "radarlistener@gmail.com"
- s.add_runtime_dependency(%q<activerecord>, ["~> 3.0.0"])
- s.add_runtime_dependency(%q<actionpack>, ["~> 3.0.0"])
- s.add_runtime_dependency(%q<chronic>, ["~> 0.3"])
-
- s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_development_dependency(%q<rspec>, ["~> 2.0"])
- s.add_development_dependency(%q<ruby-debug19>, ["~> 0.0"])
+ s.add_dependency "actionpack", "~> 3.0.0"
+
+ s.add_development_dependency "bundler", "~> 1.0.0"
+ s.add_development_dependency "rspec", "~> 2.0"
s.files = `git ls-files`.split("\n")
s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
View
@@ -11,8 +11,6 @@
require 'action_view/context'
require 'action_view/helpers'
-require 'ruby-debug'
-
require 'init' # require dotiw through init (like a plugin would)
Time.zone = 'UTC'

0 comments on commit e2fc2ff

Please sign in to comment.